### Method

# GdkPixdata Pixdata serialize

deprecated: 2.32

#### Declaration [src]

    guint8*
    gdk_pixdata_serialize (
      const GdkPixdata* pixdata,
      guint* stream_length_p
    )

#### Description [src]

Serializes a `GdkPixdata` structure into a byte stream. The byte stream consists of a straightforward writeout of the `GdkPixdata` fields in network byte order, plus the `pixel_data` bytes the structure points to.

Deprecated since: 2.32

Use `GResource` instead.

#### Parameters

`stream_length_p`

  Type: `guint*`

  Location to store the resulting stream length in.

  The argument will be set by the function.

#### Return value

Type: An array of `guint8`

A newly-allocated string containing the serialized `GdkPixdata` structure.

The length of the array is in the `stream_length_p` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.